/****========= Begin 03月12日 韩正义 新增 巡检，监督检查表==================**/

CREATE TABLE `patrol_inspection_attendance` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '签到、签退信息记录表主键ID',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '组织机构ID',
  `tenant_id` int(12) NOT NULL COMMENT '租户ID',
  `operator` varchar(50) NOT NULL COMMENT '签到人',
  `operator_id` bigint(20) NOT NULL COMMENT '签到人id',
  `operate_date` datetime NOT NULL COMMENT '操作时间',
  `sign_in_type` int(1) NOT NULL COMMENT '签到类型（0：签到，1：签退）',
  `operate_code` varchar(50) NOT NULL COMMENT '操作类型',
  `device_code` varchar(50) NOT NULL COMMENT '设备编号',
  `image_path` varchar(255) DEFAULT NULL COMMENT '图片路径',
  `longitude` decimal(10,7) NOT NULL COMMENT '经度',
  `latitude` decimal(10,7) NOT NULL COMMENT '维度',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `identification_number` varchar(50) NOT NULL COMMENT '身份编号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='签到、签退信息记录表';

CREATE TABLE `patrol_inspection_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '类型表主键id',
  `operate_code` varchar(50) NOT NULL COMMENT '类型编号',
  `type_name` varchar(50) NOT NULL COMMENT '类型名称',
  `tenant_id` int(11) NOT NULL COMMENT '租户ID',
  `dept_id` bigint(20) NOT NULL COMMENT '组织机构ID',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `delete_flag` int(1) NOT NULL DEFAULT '0' COMMENT '删除标识，0 - 未删除，1 - 已删除',
  PRIMARY KEY (`id`),
  KEY `type_name_index` (`type_name`),
  KEY `type_code_index` (`operate_code`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='类型表';

CREATE TABLE `data_jingan_analysis` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `app_key` varchar(50) NOT NULL COMMENT '一级平台密钥',
  `timestamp` datetime NOT NULL COMMENT '时间',
  `format` varchar(25) NOT NULL COMMENT '数据格式',
  `v` varchar(25) NOT NULL COMMENT '版本号',
  `sign_method` varchar(25) NOT NULL COMMENT '签名加密方式',
  `pid` varchar(50) NOT NULL COMMENT '建筑物群id',
  `bid` varchar(50) NOT NULL COMMENT '建筑物ID',
  `fid` varchar(50) NOT NULL COMMENT '楼层ID',
  `supervise_id` varchar(50) NOT NULL COMMENT '督察单id',
  `supervise_code` varchar(50) DEFAULT NULL COMMENT '督查单编号',
  `status` int(2) NOT NULL COMMENT '处理状态（0未处理，1处理成功）',
  `content` varchar(100) NOT NULL COMMENT '督察单内容',
  `type` int(1) NOT NULL COMMENT '类型（1火警，2故障，3屏蔽，4隐患 (当type的值是隐患4时只有device_id,aid, 当type的值是1,2,3时只有mainframe_id, loop_number, position_number)）',
  `device_id` varchar(50) DEFAULT NULL COMMENT '二级平台设备id',
  `aid` varchar(50) DEFAULT NULL COMMENT '一级平台属性id',
  `loop_number` varchar(25) DEFAULT NULL COMMENT '二级平台回路编号（部件区号）',
  `position_number` varchar(25) DEFAULT NULL COMMENT '二级平台点位编号（部件位号）',
  `mainframe_id` varchar(25) DEFAULT NULL COMMENT '二级平台主机id',
  `sign` varchar(50) NOT NULL COMMENT '签名',
  `company_code` varchar(50) NOT NULL COMMENT '单位编号',
  `handle_by` varchar(25) DEFAULT NULL COMMENT '处理人',
  `handle_time` datetime DEFAULT NULL COMMENT '处理时间',
  `handle_content` varchar(200) DEFAULT NULL COMMENT '处理内容',
  `handle_phone` varchar(20) DEFAULT NULL COMMENT '处理人电话',
  `handle_status` int(1) DEFAULT '0' COMMENT '处理状态;0 未处理，1 已处理',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='静安电子督察单数据';

CREATE TABLE `data_jingan_person` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '人工督查单解析后ID',
  `app_key` varchar(255) DEFAULT NULL COMMENT '物联网服务商接入平台给服务商分配的app_key',
  `timestamp` datetime DEFAULT NULL COMMENT '时间',
  `format` varchar(25) DEFAULT NULL COMMENT '响应格式 : json',
  `version` varchar(25) DEFAULT NULL COMMENT 'API协议版本: 1.0',
  `sign_method` varchar(25) DEFAULT NULL COMMENT '签名的摘要算法: md5',
  `artificial_id` varchar(255) DEFAULT NULL COMMENT '一级平台的人工督察单id',
  `pid` varchar(255) DEFAULT NULL COMMENT '一级平台的建筑群id',
  `artificial_code` varchar(255) DEFAULT NULL COMMENT '人工督察单编号',
  `company_id` varchar(25) DEFAULT NULL COMMENT '一级平台单位id',
  `content` varchar(255) DEFAULT NULL COMMENT '督察单内容',
  `status` int(1) DEFAULT NULL COMMENT '告警处理状态：0未处理，1处理成功',
  `sign` varchar(255) DEFAULT NULL COMMENT '签名值，二级平台根据这个签名值判断数据来源',
  `company_code` varchar(25) DEFAULT NULL COMMENT '二级平台单位编号',
  `handle_by` varchar(25) DEFAULT NULL COMMENT '处理人',
  `handle_time` datetime DEFAULT NULL COMMENT '处理时间',
  `handle_content` varchar(200) DEFAULT NULL COMMENT '处理内容',
  `handle_phone` varchar(20) DEFAULT NULL COMMENT '处理人电话',
  `handle_status` int(1) DEFAULT '0' COMMENT '处理状态;0 未处理，1 已处理',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `operate_type` INT(1) DEFAULT NULL COMMENT '签到状态（0 签退，1 签到）';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `document_info` TEXT DEFAULT NULL COMMENT '证件信息';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `nation` VARCHAR(50) DEFAULT NULL COMMENT '民族';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `edu_level` INT(1) DEFAULT '1' COMMENT '文化程度（1、小学 2、初中 3、高中 4、大学 5、其他 ）';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `register_residence` VARCHAR(200) DEFAULT NULL COMMENT '户籍地址';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `residence` VARCHAR(200) DEFAULT NULL COMMENT '居住地址';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `physics_card` VARCHAR(50) DEFAULT NULL COMMENT '物理卡号';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `id_card` VARCHAR(50) DEFAULT NULL COMMENT '身份证号';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `full_name` VARCHAR(100) DEFAULT NULL COMMENT '姓名';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `whether_employ` INT(1) DEFAULT '1' COMMENT '是否在职（0、不在职 1、在职）';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `birth_date` DATE DEFAULT NULL COMMENT '出生日期';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `sex` INT(1) DEFAULT '2' COMMENT '用户性别（0男 1女 2未知）';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `phone_number` VARCHAR(20) DEFAULT NULL COMMENT '联系电话';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `main_position` INT(5) DEFAULT '1' COMMENT '主要职务';
ALTER TABLE `patrol_inspection_personnel` ADD COLUMN `service_content` VARCHAR(100) DEFAULT NULL COMMENT '服务内容';

/****========= END 03月12日 韩正义 新增 巡检，监督检查表=================****/

DROP TABLE IF EXISTS base_build_attach;
CREATE TABLE base_build_attach(
    id INT(11) NOT NULL AUTO_INCREMENT  COMMENT '主键ID' ,
    build_id INT(15)    COMMENT '建筑ID' ,
    hazardous_produce_a DECIMAL(24,2)    COMMENT '甲类危险品生产数量（吨/月）' ,
    hazardous_produce_b DECIMAL(24,2)    COMMENT '乙类危险品生产数量（吨/月）' ,
    hazardous_produce_c DECIMAL(24,2)    COMMENT '丙类危险品生产数量（吨/月）' ,
    hazardous_produce_d DECIMAL(24,2)    COMMENT '丁戊类危险品生产数量（吨/月）' ,
    hazardous_storage_a DECIMAL(24,2)    COMMENT '甲类危险品存储数量（吨）' ,
    hazardous_storage_b DECIMAL(24,2)    COMMENT '乙类危险品存储数量（吨）' ,
    hazardous_storage_c DECIMAL(24,2)    COMMENT '丙类危险品存储数量（吨）' ,
    hazardous_storage_d DECIMAL(24,2)    COMMENT '丁戊类危险品存储数量（吨）' ,
    PRIMARY KEY (id)
)  COMMENT = '厂房建筑外联表';


DROP TABLE IF EXISTS base_build_extinguish;
CREATE TABLE base_build_extinguish(
    id INT(11) NOT NULL AUTO_INCREMENT  COMMENT '主键ID' ,
    build_id INT(15)    COMMENT '建筑ID' ,
    extinguish_type INT(1)    COMMENT '灭火器类型;1、水基型灭火器 2、干粉灭火器 3、洁净气体灭火器 4、二氧化碳灭火器 5、泡沫灭火器 6、其他灭火器' ,
    extinguish_num INT(10)    COMMENT '灭火器数量' ,
    delete_flag varchar(10) DEFAULT '0' COMMENT '删除标识(0 未删除，1 已删除)',
    PRIMARY KEY (id)
)  COMMENT = '厂房灭火器';


DROP TABLE IF EXISTS dem_report_grade;
CREATE TABLE dem_report_grade(
    id INT(11) NOT NULL AUTO_INCREMENT  COMMENT '主键ID' ,
    company_id VARCHAR(50)    COMMENT '单位ID' ,
    total_grade int(5) DEFAULT NULL COMMENT '总评分',
    build_integrity INT(5)    COMMENT '建筑整体指数评分' ,
    facility_status INT(5)    COMMENT '设施状况指数评分' ,
    self_manage INT(5)    COMMENT '自主管理指数评分' ,
    law_enforce INT(5)    COMMENT '监督执法指数评分' ,
    fire_risk INT(5)    COMMENT '火灾风险指数评分' ,
    statistic_period VARCHAR(50)    COMMENT '统计时段' ,
    statistic_month VARCHAR(20)    COMMENT '统计月份' ,
    create_time DATETIME    COMMENT '生成时间' ,
    PRIMARY KEY (id)
)  COMMENT = '报告评分';


alter table base_build Add column fireproof_coat int(1) DEFAULT '0' COMMENT '防火涂层（0、无 1、有）';
alter table base_build Add column fire_facility_system varchar(50) DEFAULT NULL COMMENT '消防设施系统;0、无 1、有';
alter table base_build Add column other_system varchar(50) DEFAULT NULL COMMENT '其他系统;0、无 1、有';
alter table base_build Add column other_facilities varchar(200) DEFAULT NULL COMMENT '其他设施';
alter table base_build Add column birth_cert varchar(20) DEFAULT NULL COMMENT '产证';




---03月29日
alter table base_company_change Add column birth_cert varchar(20) DEFAULT NULL COMMENT '产证';



---04月03日
DROP TABLE IF EXISTS dem_fire_station;
CREATE TABLE dem_fire_station(
    id INT(11) NOT NULL AUTO_INCREMENT  COMMENT '主键ID' ,
    station_name VARCHAR(30)    COMMENT '消防站名称' ,
    station_address VARCHAR(100)    COMMENT '消防站地址' ,
    station_type INT(1)    COMMENT '消防站类型;1、一类消防站 2、二类消防站 3、小型消防站' ,
    longitude VARCHAR(50)    COMMENT '经度' ,
    latitude VARCHAR(50)    COMMENT '纬度' ,
    street_town VARCHAR(20)    COMMENT '所属街镇' ,
    PRIMARY KEY (id)
)  COMMENT = '消防站';

DROP TABLE IF EXISTS dem_high_rise;
CREATE TABLE dem_high_rise(
    id INT(11) NOT NULL AUTO_INCREMENT  COMMENT '主键ID' ,
    to_do_ptersonnel VARCHAR(30)    COMMENT '当前待办人员' ,
    build_name VARCHAR(50)    COMMENT '建筑名称' ,
    build_secondary_name VARCHAR(50)    COMMENT '建筑物二级名称' ,
    address VARCHAR(100)    COMMENT '建筑物地址' ,
    many_ownership INT(1)    COMMENT '是否多产权建筑;0、否 1、是' ,
    birth_cert VARCHAR(20)    COMMENT '房产证数量(本)' ,
    principal_property_owner VARCHAR(50)    COMMENT '主要产权人（单位、自然人）名称' ,
    credit_code VARCHAR(30)    COMMENT '统一社会信用代码（自然人此项不填）' ,
    property_service INT(1)    COMMENT '是否聘请物业服务企业进行管理;0、否 1、是' ,
    property_num INT(2)    COMMENT '聘用物业家数' ,
    property_service_name VARCHAR(50)    COMMENT '物业服务企业名称' ,
    property_credit_code VARCHAR(30)    COMMENT '物业统一社会信用代码' ,
    lproperty_andline_num VARCHAR(30)    COMMENT '单位座机号码' ,
    property_project_leader VARCHAR(30)    COMMENT '项目负责人姓名' ,
    property_leader_phone VARCHAR(20)    COMMENT '项目负责人手机号码' ,
    fire_service_maintain INT(1)    COMMENT '是否聘请消防技术服务机构开展建筑消防设施维护' ,
    maintain_num INT(2)    COMMENT '聘用家数' ,
    maintain_name VARCHAR(50)    COMMENT '消防技术服务机构名称' ,
    maintain_credit_code VARCHAR(30)    COMMENT '统一社会信用代码' ,
    maintain_project_leader VARCHAR(30)    COMMENT '项目负责人姓名' ,
    maintain_leader_phone VARCHAR(20)    COMMENT '项目负责人手机号码' ,
    fire_service_check INT(1)    COMMENT '是否聘请消防技术服务机构开展建筑消防设施检测' ,
    check_num INT(2)    COMMENT '聘用家数' ,
    check_name VARCHAR(50)    COMMENT '消防技术服务机构名称' ,
    check_credit_code VARCHAR(30)    COMMENT '统一社会信用代码' ,
    check_project_leader VARCHAR(30)    COMMENT '项目负责人姓名' ,
    check_leader_phone VARCHAR(20)    COMMENT '项目负责人手机号码' ,
    fire_service_estimate INT(1)    COMMENT '是否聘请消防技术服务机构开展消防安全评估' ,
    estimate_num INT(2)    COMMENT '聘用家数' ,
    estimate_name VARCHAR(50)    COMMENT '消防技术服务机构名称' ,
    estimate_credit_code VARCHAR(30)    COMMENT '统一社会信用代码' ,
    estimate_project_leader VARCHAR(30)    COMMENT '项目负责人姓名' ,
    estimate_leader_phone VARCHAR(20)    COMMENT '项目负责人手机号码' ,
    control_room INT(1)    COMMENT '是否设有消防控制室' ,
    control_room_address VARCHAR(100)    COMMENT '消防控制室位置' ,
    certificate_num VARCHAR(20)    COMMENT '消防控制室持证上岗人数' ,
    pump_room_address VARCHAR(100)    COMMENT '消防水泵房位置' ,
    combiner_address VARCHAR(100)    COMMENT '水泵结合器位置' ,
    build_high DOUBLE(20,2)    COMMENT '建筑高度' ,
    complete_year VARCHAR(10)    COMMENT '建成年代' ,
    under_floor VARCHAR(20)    COMMENT '地下建筑层数' ,
    above_floor VARCHAR(20)    COMMENT '地上建筑层数' ,
    build_type VARCHAR(30)    COMMENT '建筑类型' ,
    birth_cert_register VARCHAR(30)    COMMENT '不动产证登记用途' ,
    birth_cert_use VARCHAR(50)    COMMENT '不动产证中“规划用途”栏或附记栏中记载的用途为' ,
    functional_purpose VARCHAR(100)    COMMENT '功能用途' ,
    other_desc VARCHAR(255)    COMMENT '其他（文字描述）' ,
    longitude VARCHAR(50)    COMMENT '经度' ,
    latitude VARCHAR(50)    COMMENT '纬度' ,
    PRIMARY KEY (id)
)  COMMENT = '高层公共建筑底数';


---04月07日
DROP TABLE IF EXISTS dem_street_micro_station;
CREATE TABLE dem_street_micro_station(
    id INT(11) NOT NULL AUTO_INCREMENT  COMMENT '主键ID' ,
    street_town VARCHAR(20)    COMMENT '所属街镇' ,
    station_code INT(2)    COMMENT '编号' ,
    station_address VARCHAR(100)    COMMENT '消防站地址' ,
    linear_distance VARCHAR(50)    COMMENT '距消防站直线距离' ,
    drive_distance VARCHAR(50)    COMMENT '距消防站行驶距离' ,
    jam_drive VARCHAR(20)    COMMENT '交通拥堵行驶时间' ,
    unimpeded_drive VARCHAR(20)    COMMENT '交通畅通行驶时间' ,
    point_situation VARCHAR(50)    COMMENT '点位情况' ,
    build_situation VARCHAR(50)    COMMENT '建筑情况' ,
    vehicle_park VARCHAR(20)    COMMENT '车辆停放' ,
    birth_cert VARCHAR(30)    COMMENT '是否有产证' ,
    birth_cert_situation VARCHAR(50)    COMMENT '产证情况' ,
    longitude VARCHAR(50)    COMMENT '经度' ,
    latitude VARCHAR(50)    COMMENT '纬度' ,
    PRIMARY KEY (id)
)  COMMENT = '街镇微型消防站';

---04月11日
alter table base_ggp_facility Add column street_town varchar(20) DEFAULT NULL COMMENT '所属街镇';